import { Modal, ModalService } from '@zeedhi/common';

export class TodayDeliveriesModalController {
  private todayDeliveriesModal!: Modal;

  public async createTodayDeliveriesModal() {
    this.todayDeliveriesModal = await ModalService.createFromJson('/modals/todayDeliveriesModal', true);
  }

  public destroyTodayDeliveriesModal() {
    this.todayDeliveriesModal?.destroy();
  }

  public openTodayDeliveriesModal() {
    this.todayDeliveriesModal.show();
  }

  public closeTodayDeliveriesModal() {
    this.todayDeliveriesModal.hide();
  }
}
